Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.instrument
Class NonOptimizedConstructorExecutionTransformer

    java.lang.Object
      org.jboss.aop.instrument.ConstructorExecutionTransformer
          org.jboss.aop.instrument.NonOptimizedConstructorExecutionTransformer

All Implemented Interfaces:
  org.jboss.aop.instrument.CodeConversionObserver

public class NonOptimizedConstructorExecutionTransformer
extends ConstructorExecutionTransformer

Comment

Version:
  $Revision$
Author:
  Kabir Khan

Nested Class Summary

Nested classes inherited from class org.jboss.aop.instrument.ConstructorExecutionTransformer
`ConstructorExecutionTransformer.ConstructorTransformation`

Field Summary

Fields inherited from class org.jboss.aop.instrument.ConstructorExecutionTransformer
`codifier, CONSTRUCTOR_INFO_CLASS_NAME, CONSTRUCTOR_STATUS, instrumentor`

Constructor Summary
`NonOptimizedConstructorExecutionTransformer(Instrumentor instrumentor)`

Method Summary
`protected void` | `createWrapper(ConstructorExecutionTransformer.ConstructorTransformation trans)`

Methods inherited from class org.jboss.aop.instrument.ConstructorExecutionTransformer
`addConstructorInfoField, addConstructorInfoField, addInfoAsWeakReference, buildConstructorWrappers, classifyConstructor, codeConverted, constructorFactory, constructorInfoFromWeakReference, generateConstructorInfoField, getConstructorInfoFieldName, getInstrumentor, getWrapper, getWrapperMethod, initialiseWrapper, isAdvisableConstructor, isAnyConstructorAdvised, replaceConstructorAccess, setEmptyWrapperCode, setEmptyWrapperCodeLater, setTemporaryWrapperCode, transform, unwrap, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonOptimizedConstructorExecutionTransformer

    public NonOptimizedConstructorExecutionTransformer(Instrumentor instrumentor)

Method Detail

### createWrapper

    protected void createWrapper(ConstructorExecutionTransformer.ConstructorTransformation trans)
                          throws javassist.CannotCompileException,
                                 javassist.NotFoundException

  Specified by:
    `createWrapper` in class `ConstructorExecutionTransformer`
  Throws:
    `javassist.CannotCompileException`
    `javassist.NotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.